Skip to main content

Authorizations


Overview

This section provides the information needed to process a healthcare authorization.

After a successful authorization, the payment can be captured. See Captures.

FISERV RC

This section describes the endpoints, example, and required fields for processing a healthcare authorization with FISERV RC.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

For the full list of healthcare endpoints, see Endpoints.

Example

{  "clientReferenceInformation": {    "code": "HC-auth"  },  "orderInformation": {    "billTo": {      "country": "US",      "lastName": "VDP",      "address2": "test",      "address1": "201 S. Division St.",      "postalCode": "48104-2201",      "locality": "Ann Arbor",      "administrativeArea": "MI",      "firstName": "RTS",      "phoneNumber": "999999999",      "district": "MI",      "buildingNumber": "123",      "company": "Visa",      "email": "[email protected]"    },    "amountDetails": {      "totalAmount": "100.00",      "currency": "usd"    }  },  "paymentInformation": {    "card": {      "expirationYear": "2031",      "number": "4xxxxxxxxxxx1111",      "securityCode": "123",      "expirationMonth": "12",      "type": "001",      "productSubtype": "HC"    }  },  "healthCareInformation": {    "amountDetails": [      {        "amountType": "healthcare",        "amount": "100"      },      {        "amountType": "prescription",        "amount": "50"      },      {        "amountType": "clinic",        "amount": "20"      },      {        "amountType": "dental",        "amount": "25"      },      {        "amountType": "vision",        "amount": "5"      }    ]  }}
{  "_links" : {    "void" : {      "method" : "POST",      "href" : "/pts/v2/payments/7338783664396669903091/voids"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/payments/7338783664396669903091"    }  },  "clientReferenceInformation" : {    "code" : "HC-auth"  },  "id" : "7338783664396669903091",  "orderInformation" : {    "amountDetails" : {      "totalAmount" : "100.00",      "authorizedAmount" : "100.00",      "currency" : "usd"    }  },  "paymentAccountInformation" : {    "card" : {      "type" : "001"    }  },  "paymentInformation" : {    "tokenizedCard" : {      "type" : "001"    },    "card" : {      "type" : "001"    }  },  "pointOfSaleInformation" : {    "terminalId" : "261996"  },  "processorInformation" : {    "merchantNumber" : "000000092345678",    "approvalCode" : "888888",    "networkTransactionId" : "123456789619999",    "transactionId" : "123456789619999",    "responseCode" : "100",    "avs" : {      "code" : "X",      "codeRaw" : "I1"    }  },  "reconciliationId" : "57223666D4F86E0S",  "status" : "AUTHORIZED",  "submitTimeUtc" : "2024-12-11T00:52:46Z"}
FieldTypeDescription
clientReferenceInformation.code
healthCareInformation.amountDetails.amount
healthCareInformation.amountDetails.amountTypeThese are the possible values:<br>- clinic<br>- dental<br>- healthcare: The amount for this type should be greater than or equal to the sum of all amount types included in the request.<br>- prescription<br>- vision<br>These values must be certified with SIGIS. See Health Benefit Card Acceptance. They cannot be repeated in the request. Example: If there are two vision items purchased for 10.00, send one vision amount for 20.00.
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
orderInformation.billTo.address1
orderInformation.billTo.administrativeArea
orderInformation.billTo.country
orderInformation.billTo.email
orderInformation.billTo.firstName
orderInformation.billTo.lastName
orderInformation.billTo.locality
orderInformation.billTo.phoneNumber
orderInformation.billTo.postalCode
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number
paymentInformation.card.productSubtypeSet the value to HC.
paymentInformation.card.securityCode
paymentInformation.card.type
processingInformation.captureFor an authorization, set the value to false. For a sale, set the value to true.

SmartPay

This section describes the endpoints, example, and required fields for processing a healthcare authorization with SmartPay.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

For the full list of healthcare endpoints, see Endpoints.

Example

{  "clientReferenceInformation": {    "code": "HC-auth"  },  "orderInformation": {    "billTo": {      "country": "US",      "lastName": "VDP",      "address2": "test",      "address1": "201 S. Division St.",      "postalCode": "48104-2201",      "locality": "Ann Arbor",      "administrativeArea": "MI",      "firstName": "RTS",      "phoneNumber": "999999999",      "district": "MI",      "buildingNumber": "123",      "company": "Visa",      "email": "[email protected]"    },    "amountDetails": {      "totalAmount": "100.00",      "currency": "usd"    }  },  "paymentInformation": {    "card": {      "expirationYear": "2031",      "number": "4xxxxxxxxxxx1111",      "securityCode": "123",      "expirationMonth": "12",      "type": "001",      "productSubtype": "HC"    }  },  "healthCareInformation": {    "amountDetails": [      {        "amountType": "healthcare",        "amount": "100"      },      {        "amountType": "prescription",        "amount": "50"      },      {        "amountType": "clinic",        "amount": "20"      },      {        "amountType": "dental",        "amount": "25"      },      {        "amountType": "vision",        "amount": "5"      }    ]  }}
{  "_links" : {    "void" : {      "method" : "POST",      "href" : "/pts/v2/payments/7338783664396669903091/voids"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/payments/7338783664396669903091"    }  },  "clientReferenceInformation" : {    "code" : "HC-auth"  },  "id" : "7338783664396669903091",  "orderInformation" : {    "amountDetails" : {      "totalAmount" : "100.00",      "authorizedAmount" : "100.00",      "currency" : "usd"    }  },  "paymentAccountInformation" : {    "card" : {      "type" : "001"    }  },  "paymentInformation" : {    "tokenizedCard" : {      "type" : "001"    },    "card" : {      "type" : "001"    }  },  "pointOfSaleInformation" : {    "terminalId" : "261996"  },  "processorInformation" : {    "merchantNumber" : "000000092345678",    "approvalCode" : "888888",    "networkTransactionId" : "123456789619999",    "transactionId" : "123456789619999",    "responseCode" : "100",    "avs" : {      "code" : "X",      "codeRaw" : "I1"    }  },  "reconciliationId" : "57223666D4F86E0S",  "status" : "AUTHORIZED",  "submitTimeUtc" : "2024-12-11T00:52:46Z"}
FieldTypeDescription
clientReferenceInformation.code
healthCareInformation.amountDetails.amount
healthCareInformation.amountDetails.amountTypeThese are the possible values:<br>- clinic<br>- dental<br>- healthcare: The amount for this type should be greater than or equal to the sum of all amount types included in the request.<br>- prescription<br>- vision<br>These values must be certified with SIGIS. See Health Benefit Card Acceptance. They cannot be repeated in the request. Example: If there are two vision items purchased for 10.00, send one vision amount for 20.00.
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
orderInformation.billTo.address1
orderInformation.billTo.administrativeArea
orderInformation.billTo.country
orderInformation.billTo.email
orderInformation.billTo.firstName
orderInformation.billTo.lastName
orderInformation.billTo.locality
orderInformation.billTo.phoneNumber
orderInformation.billTo.postalCode
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number
paymentInformation.card.productSubtypeSet the value to HC.
paymentInformation.card.securityCode
paymentInformation.card.type
processingInformation.captureFor an authorization, set the value to false. For a sale, set the value to true.

GPX

This section describes the endpoints, example, and required fields for processing a healthcare authorization with GPX.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

For the full list of healthcare endpoints, see Endpoints.

Example

{  "clientReferenceInformation": {    "code": "HC-auth"  },  "orderInformation": {    "billTo": {      "country": "US",      "lastName": "VDP",      "address2": "test",      "address1": "201 S. Division St.",      "postalCode": "48104-2201",      "locality": "Ann Arbor",      "administrativeArea": "MI",      "firstName": "RTS",      "phoneNumber": "999999999",      "district": "MI",      "buildingNumber": "123",      "company": "Visa",      "email": "[email protected]"    },    "amountDetails": {      "totalAmount": "100.00",      "currency": "usd"    }  },  "paymentInformation": {    "card": {      "expirationYear": "2031",      "number": "4xxxxxxxxxxx1111",      "securityCode": "123",      "expirationMonth": "12",      "type": "001",      "productSubtype": "HC"    }  },  "healthCareInformation": {    "amountDetails": [      {        "amountType": "healthcare",        "amount": "100"      },      {        "amountType": "prescription",        "amount": "50"      },      {        "amountType": "clinic",        "amount": "20"      },      {        "amountType": "dental",        "amount": "25"      },      {        "amountType": "vision",        "amount": "5"      }    ]  }}
{  "_links" : {    "void" : {      "method" : "POST",      "href" : "/pts/v2/payments/7338783664396669903091/voids"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/payments/7338783664396669903091"    }  },  "clientReferenceInformation" : {    "code" : "HC-auth"  },  "id" : "7338783664396669903091",  "orderInformation" : {    "amountDetails" : {      "totalAmount" : "100.00",      "authorizedAmount" : "100.00",      "currency" : "usd"    }  },  "paymentAccountInformation" : {    "card" : {      "type" : "001"    }  },  "paymentInformation" : {    "tokenizedCard" : {      "type" : "001"    },    "card" : {      "type" : "001"    }  },  "pointOfSaleInformation" : {    "terminalId" : "261996"  },  "processorInformation" : {    "merchantNumber" : "000000092345678",    "approvalCode" : "888888",    "networkTransactionId" : "123456789619999",    "transactionId" : "123456789619999",    "responseCode" : "100",    "avs" : {      "code" : "X",      "codeRaw" : "I1"    }  },  "reconciliationId" : "57223666D4F86E0S",  "status" : "AUTHORIZED",  "submitTimeUtc" : "2024-12-11T00:52:46Z"}
FieldTypeDescription
clientReferenceInformation.code
healthCareInformation.amountDetails.amount
healthCareInformation.amountDetails.amountTypeThese are the possible values:<br>- clinic<br>- dental<br>- healthcare: The amount for this type should be greater than or equal to the sum of all amount types included in the request.<br>- prescription<br>- vision<br>These values must be certified with SIGIS. See Health Benefit Card Acceptance. They cannot be repeated in the request. Example: If there are two vision items purchased for 10.00, send one vision amount for 20.00.
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
orderInformation.billTo.address1
orderInformation.billTo.administrativeArea
orderInformation.billTo.country
orderInformation.billTo.email
orderInformation.billTo.firstName
orderInformation.billTo.lastName
orderInformation.billTo.locality
orderInformation.billTo.phoneNumber
orderInformation.billTo.postalCode
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number
paymentInformation.card.productSubtypeSet the value to HC.
paymentInformation.card.securityCode
paymentInformation.card.type
processingInformation.captureFor an authorization, set the value to false. For a sale, set the value to true.

Last published: September 29, 2026